Bug 191437

Summary: [PATCH] textproc/libsass: fix fetch (also textproc/sassc)
Product: Ports & Packages Reporter: Dmitry Marakasov <amdmi3>
Component: Individual Port(s)Assignee: Nicola Vitale <nivit>
Status: Closed FIXED    
Severity: Affects Many People    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
sass.patch none

Description Dmitry Marakasov 2014-06-27 17:14:53 UTC
Created attachment 144196 [details]
sass.patch

Named ports do not fetch due to checksum error: for some reason github now uses `sass' as an account name in the fetched archive instead of `hcatlin':

% wget -qO- 'https://codeload.github.com/sass/libsass/legacy.tar.gz/v1.0.1?dummy=/libsass-1.0.1.tar.gz' | tar tf - | head -1
sass-libsass-0388a62/

I've already sent report to github support, but for the time being I suggest to change GH_ACCOUNT from hcatlin to sass - it's more correct anyway as hcatlin is just a fork.

While here also switch to USES=libtool

Port maintainer (nivit@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.02 (mode: change, diff: SVN)
Comment 1 commit-hook freebsd_committer 2014-07-05 02:58:44 UTC
A commit references this bug:

Author: nivit
Date: Sat Jul  5 02:58:21 UTC 2014
New revision: 360716
URL: http://svnweb.freebsd.org/changeset/ports/360716

Log:
  - Fix fetch
    The project was transferred to github.com/sass account
    (see https://twitter.com/hcatlin/status/474960329718628352 )
  - Fix distinfo
    No difference in the source code:

    http://people.freebsd.org/~nivit/public_distfiles/libsass/1.0.1-hcatlin/libsass-1.0.1.tar.gz (old distfile)
    http://people.freebsd.org/~nivit/public_distfiles/libsass/1.0.1-sass/libsass-1.0.1.tar.gz (new distfile)

  PR:	191437
  Submitted by:	amdmi3

Changes:
  head/textproc/libsass/Makefile
  head/textproc/libsass/distinfo
Comment 2 Nicola Vitale freebsd_committer 2014-07-05 03:02:43 UTC
Committed, thanks.

Note: tijl@ committed the libtool patch with r360348.
Comment 3 commit-hook freebsd_committer 2014-08-06 12:45:03 UTC
A commit references this bug:

Author: antoine
Date: Wed Aug  6 12:44:57 UTC 2014
New revision: 364170
URL: http://svnweb.freebsd.org/changeset/ports/364170

Log:
  MFH: r360716

  - Fix fetch
    The project was transferred to github.com/sass account
    (see https://twitter.com/hcatlin/status/474960329718628352 )
  - Fix distinfo
    No difference in the source code:

    http://people.freebsd.org/~nivit/public_distfiles/libsass/1.0.1-hcatlin/libsass-1.0.1.tar.gz (old distfile)
    http://people.freebsd.org/~nivit/public_distfiles/libsass/1.0.1-sass/libsass-1.0.1.tar.gz (new distfile)

  PR:	191437
  Submitted by:	amdmi3

Changes:
_U  branches/2014Q3/
  branches/2014Q3/textproc/libsass/Makefile
  branches/2014Q3/textproc/libsass/distinfo